org.keycloak.adapters.undertow

## Class ServletRequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator
  - - org.keycloak.adapters.undertow.UndertowRequestAuthenticator
    - - org.keycloak.adapters.undertow.ServletRequestAuthenticator

- Direct Known Subclasses:
    WildflyRequestAuthenticator

      public class ServletRequestAuthenticator
      extends UndertowRequestAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected UndertowUserSessionManagement` | `userSessionManagement`

    - ### Fields inherited from class org.keycloak.adapters.undertow.UndertowRequestAuthenticator

      `exchange, securityContext`

    - ### Fields inherited from class org.keycloak.adapters.RequestAuthenticator

      `challenge, deployment, facade, log, sslRedirectPort`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletRequestAuthenticator(HttpFacade facade, KeycloakDeployment deployment, int sslRedirectPort, io.undertow.security.api.SecurityContext securityContext, io.undertow.server.HttpServerExchange exchange, UndertowUserSessionManagement userSessionManagement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isCached()`
    `protected void` | `login(KeycloakAccount account)`
    `protected void` | `propagateKeycloakContext(KeycloakUndertowAccount account)`

    - ### Methods inherited from class org.keycloak.adapters.undertow.UndertowRequestAuthenticator

      `completeBearerAuthentication, completeOAuthAuthentication, createOAuthAuthenticator`

    - ### Methods inherited from class org.keycloak.adapters.RequestAuthenticator

      `authenticate, completeAuthentication, completeAuthentication, createBearerTokenAuthenticator, getChallenge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userSessionManagement

          protected UndertowUserSessionManagement userSessionManagement

  - ### Constructor Detail

    - #### ServletRequestAuthenticator

          public ServletRequestAuthenticator(HttpFacade facade,
                                     KeycloakDeployment deployment,
                                     int sslRedirectPort,
                                     io.undertow.security.api.SecurityContext securityContext,
                                     io.undertow.server.HttpServerExchange exchange,
                                     UndertowUserSessionManagement userSessionManagement)

  - ### Method Detail

    - #### isCached

          protected boolean isCached()

      Overrides:
        `isCached` in class `UndertowRequestAuthenticator`

    - #### propagateKeycloakContext

          protected void propagateKeycloakContext(KeycloakUndertowAccount account)

      Overrides:
        `propagateKeycloakContext` in class `UndertowRequestAuthenticator`

    - #### login

          protected void login(KeycloakAccount account)

      Overrides:
        `login` in class `UndertowRequestAuthenticator`

Copyright © 2014. All Rights Reserved.